System 2.0.0.0 4.0.0.0 System.Enum

This enumeration specifies the X.509 store name, which also includes the type of certificates included. For example, includes personal certificates, whereas includes only revoked certificates.

Specifies the name of the X.509 certificate store to open.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.StoreName

  The X.509 certificate store for other users.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.StoreName

  The X.509 certificate store for third-party certificate authorities (CAs).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.StoreName

  The X.509 certificate store for intermediate certificate authorities (CAs).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.StoreName

  The X.509 certificate store for revoked certificates.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.StoreName

  The X.509 certificate store for personal certificates.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.StoreName

  The X.509 certificate store for trusted root certificate authorities (CAs).

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.StoreName

  The X.509 certificate store for directly trusted people and resources.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.StoreName

  The X.509 certificate store for directly trusted publishers.